# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import user_ratings_pb2 as user__ratings__pb2


class RatingsServiceStub(object):
    """Stream is used here to continuously retrieve the sequence of ratings. 
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.GetRatings = channel.unary_stream(
                '/RatingsService/GetRatings',
                request_serializer=user__ratings__pb2.Empty.SerializeToString,
                response_deserializer=user__ratings__pb2.Rating.FromString,
                )
        self.CalculateMetrics = channel.unary_unary(
                '/RatingsService/CalculateMetrics',
                request_serializer=user__ratings__pb2.Empty.SerializeToString,
                response_deserializer=user__ratings__pb2.CalculatedMetrics.FromString,
                )
        self.get_metrics_metadata = channel.unary_unary(
                '/RatingsService/get_metrics_metadata',
                request_serializer=user__ratings__pb2.CalculatedMetrics.SerializeToString,
                response_deserializer=user__ratings__pb2.CalculatedMetrics.FromString,
                )


class RatingsServiceServicer(object):
    """Stream is used here to continuously retrieve the sequence of ratings. 
    """

    def GetRatings(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def CalculateMetrics(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def get_metrics_metadata(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_RatingsServiceServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'GetRatings': grpc.unary_stream_rpc_method_handler(
                    servicer.GetRatings,
                    request_deserializer=user__ratings__pb2.Empty.FromString,
                    response_serializer=user__ratings__pb2.Rating.SerializeToString,
            ),
            'CalculateMetrics': grpc.unary_unary_rpc_method_handler(
                    servicer.CalculateMetrics,
                    request_deserializer=user__ratings__pb2.Empty.FromString,
                    response_serializer=user__ratings__pb2.CalculatedMetrics.SerializeToString,
            ),
            'get_metrics_metadata': grpc.unary_unary_rpc_method_handler(
                    servicer.get_metrics_metadata,
                    request_deserializer=user__ratings__pb2.CalculatedMetrics.FromString,
                    response_serializer=user__ratings__pb2.CalculatedMetrics.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'RatingsService', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class RatingsService(object):
    """Stream is used here to continuously retrieve the sequence of ratings. 
    """

    @staticmethod
    def GetRatings(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_stream(request, target, '/RatingsService/GetRatings',
            user__ratings__pb2.Empty.SerializeToString,
            user__ratings__pb2.Rating.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def CalculateMetrics(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/RatingsService/CalculateMetrics',
            user__ratings__pb2.Empty.SerializeToString,
            user__ratings__pb2.CalculatedMetrics.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def get_metrics_metadata(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/RatingsService/get_metrics_metadata',
            user__ratings__pb2.CalculatedMetrics.SerializeToString,
            user__ratings__pb2.CalculatedMetrics.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
